Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 539159 - Subscribe system to Configuration Channels cause 'Permission Error'
Summary: Subscribe system to Configuration Channels cause 'Permission Error'
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Configuration Management
Version: 530
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tomas Lestach
QA Contact: Petr Sklenar
URL:
Whiteboard:
Depends On:
Blocks: sat540-canfix
TreeView+ depends on / blocked
 
Reported: 2009-11-19 17:02 UTC by Petr Sklenar
Modified: 2010-10-28 14:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-28 14:46:25 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Petr Sklenar 2009-11-19 17:02:11 UTC
Description of problem:
Subscribe system to Configuration Channels cause 'Permission Error'

Version-Release number of selected component (if applicable):
sat531

How reproducible:
always

Steps to Reproduce:
1. have a system with ONLY Entitlements:  [Management] 
2. select this system and use it in SSM
3. SSM: pick 'config channel subscriptions' link
4. SSM: Step 1: Select Channels for Subscription.
5. SSM: Step 2: Rank Channels for Subscription.
# select whatever
6. Step 3: Confirm Channels for Subscription.

Actual results:

Permission Error.

You do not have the appropriate permission set to access the requested page. You may have reached this error page in one of several ways:
...
..
.

Expected results:
write than you haven't permission to add system to config channel or some message. When there are more systems then add to 'config channel' all other systems.

Additional info:
if one of your system in SSM is only with Management Entitlements then you don't know where is problem and it causes mess.

tail -f /var/log/tomcat5/catalina.out:

2009-11-19 17:58:15,619 [TP-Processor2] ERROR com.redhat.rhn.common.errors.PermissionExceptionHandler - Permission Error
com.redhat.rhn.common.security.PermissionException: Config feature needs to be enabled on the server for handling Config Management. The provided server [com.redhat.rhn.domain.server.Server@47fd47fd[id=1000010266,org=com.redhat.rhn.domain.org.OrgImpl@76b476b4[id=2,name=psklenar],name=xen48.englab.brq.redhat.com,description=Initial Registration Parameters:
OS: redhat-release
Release: 5Client
CPU Arch: i686-redhat-linux]] does not have have this enabled. Add provisioning capabilities to the system to enable this..
	at com.redhat.rhn.manager.configuration.ConfigurationManager.ensureConfigManageable(ConfigurationManager.java:2117)
	at com.redhat.rhn.domain.server.Server.ensureConfigManageable(Server.java:287)
	at com.redhat.rhn.domain.server.Server.getConfigChannels(Server.java:273)
	at com.redhat.rhn.frontend.action.configuration.ssm.SubscribeConfirm.subscribeServer(SubscribeConfirm.java:163)
	at com.redhat.rhn.frontend.action.configuration.ssm.SubscribeConfirm.confirm(SubscribeConfirm.java:137)
	at com.redhat.rhn.frontend.action.configuration.ssm.SubscribeConfirm.execute(SubscribeConfirm.java:80)
	at org.apache.struts.action.RequestProcessor.processActionPerform(RequestProcessor.java:431)
	at org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:237)
	at com.redhat.rhn.frontend.struts.RhnRequestProcessor.process(RhnRequestProcessor.java:82)
	at org.apache.struts.action.ActionServlet.process(ActionServlet.java:1196)
	at org.apache.struts.action.ActionServlet.doPost(ActionServlet.java:432)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:710)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:803)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:269)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
	at com.redhat.rhn.frontend.servlets.AuthFilter.doFilter(AuthFilter.java:73)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
	at com.opensymphony.module.sitemesh.filter.PageFilter.parsePage(PageFilter.java:142)
	at com.opensymphony.module.sitemesh.filter.PageFilter.doFilter(PageFilter.java:58)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
	at com.redhat.rhn.frontend.servlets.LocalizedEnvironmentFilter.doFilter(LocalizedEnvironmentFilter.java:67)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
	at com.redhat.rhn.frontend.servlets.EnvironmentFilter.doFilter(EnvironmentFilter.java:108)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
	at com.redhat.rhn.frontend.servlets.SessionFilter.doFilter(SessionFilter.java:55)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
	at com.redhat.rhn.frontend.servlets.SetCharacterEncodingFilter.doFilter(SetCharacterEncodingFilter.java:97)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:210)
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:172)
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:117)
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:108)
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:151)
	at org.apache.jk.server.JkCoyoteHandler.invoke(JkCoyoteHandler.java:200)
	at org.apache.jk.common.HandlerRequest.invoke(HandlerRequest.java:291)
	at org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:775)
	at org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:704)
	at org.apache.jk.common.ChannelSocket$SocketConnection.runIt(ChannelSocket.java:897)
	at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:685)
	at java.lang.Thread.run(Thread.java:735)

Comment 1 Tomas Lestach 2010-01-29 11:02:55 UTC
Listing only ssm systems, that have appropriate permissions for channel subscription ...
spacewalk.git: fd4ef2d08d9dff304a778527a6b9cdada43c5812

Same for unsubscription ...
spacewalk.git: c425651c7fc1c91395edde5aa0519b959c468a50

Comment 2 Petr Sklenar 2010-09-03 12:49:50 UTC
works as expected,
verified in Satellite-5.4.0-RHEL5-re20100827.0

Comment 3 Miroslav Suchý 2010-10-20 12:17:09 UTC
in step 3, there is:
No Systems.
after final submit:
Configuration channel subscriptions changed for 0 systems successfully.

verified in stage

Comment 4 Clifford Perry 2010-10-28 14:42:04 UTC
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford


Note You need to log in before you can comment on or make changes to this bug.